/* Copyright IBM Corp. 2013  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.user.AnonymousMode");

/**
 * Constant class defining the anonymous mode
 * @ibm-api
 * @ibm-module UserModel
 */
dojo.declare("com.ibm.mashups.enabler.user.AnonymousMode", null, {

    /**
     * Constant defining that a normal user is accessing the system
     * @type {com.ibm.mashups.enabler.user.AnonymousMode}
     */
    USER: "user",
    /**
     * Constant defining that an anonymous user is accessing the system
     * @type {com.ibm.mashups.enabler.user.AnonymousMode}
     */
    ANONYMOUS: "anonymous"

});
com.ibm.mashups.enabler.user.AnonymousMode = new com.ibm.mashups.enabler.user.AnonymousMode();
